Elevate supports all major web browsers:

Google Chrome
Mozilla Firefox
Safari
Microsoft Edge
Internet Explorer (IE)

However, please note that Edge and IE do not allow you to add exceptions to the pop-up blocker. You can only have the blocker on or off. This might affect your ability to download your candidates resumes.

It's also important to note that as of January 12, 2016, there is no longer support for earlier versions of Internet Explorer. The latest and only version supported is Internet Explorer 11. It is recommended to use Internet Explorer 11 and no earlier versions, or another web browser entirely.

Did this answer your question?